<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      required: true,
      type: Object,
    },
  },
});
</script>

<template>
  <SlpContainer class="feature-overview">
    <SlpRow>
      <SlpColumn>
        <SlpTypography
          class="slp-pb-64 slp-pb-md-160 slp-pt-32 slp-pt-md-96"
          variant="heading4"
          tag="p"
          data-aos="fade-up"
          data-aos-duration="800"
        >
          <SlpTypography variant="heading4-bold" tag="span">
            {{ data.content_summary_bolded }}
          </SlpTypography>
          <span v-html="data.content_summary"></span>
        </SlpTypography>
      </SlpColumn>
    </SlpRow>
    <SlpRow>
      <SlpColumn>
        <SlpTypography
          class="slp-pb-48 slp-pb-md-96"
          variant="heading2-bold"
          tag="h2"
          data-aos="fade-up"
          data-aos-duration="800"
        >
          {{ data.content_heading }}
        </SlpTypography>
      </SlpColumn>
    </SlpRow>
    <SlpRow class="slp-pb-md-160">
      <SlpColumn data-aos="zoom-in-right" data-aos-duration="800">
        <nuxt-img
          style="width: 100%"
          :src="data.content_image"
          alt=""
          loading="lazy"
          format="webp"
          quality="99"
        />
      </SlpColumn>
      <SlpColumn
        data-aos="zoom-in-left"
        data-aos-duration="800"
        class="slp-pt-32 slp-pt-md-0"
      >
        <div
          v-for="item in data.content_list"
          :key="item"
          class="slp-flex slp-pl-16 slp-pb-32"
          style="align-items: center"
        >
          <SlpIcon
            name="check"
            class="slp-mr-8"
            variant="product"
            alt="Check icon"
            size="sm"
          />
          <SlpTypography class="slp-pl-16" tag="h3" variant="heading5">
            {{ item }}
          </SlpTypography>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.feature-overview {
  &:deep b {
    font-weight: bold;
  }
}
</style>
